Skip to main content

УК Raiffeisen

OpenAPI 1.0.1

Описания эндпоинтов для страховой компании

Скачать исходную спецификацию

Варианты

  • Public

Операции API

GET /v1/client/{cnum} — Получение информации о клиенте (комплаенс статус)

Получение информации о клиенте (комплаенс статус)

{
  "description": "Получение информации о клиенте (комплаенс статус)",
  "operationId": "getClientInfo",
  "parameters": [
    {
      "name": "cnum",
      "description": "CNUM клиента",
      "required": true,
      "in": "path",
      "schema": {
        "example": "ANA4BM",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "Информация о клиенте",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ClientInfoResponse"
          }
        }
      }
    },
    "400": {
      "description": "cnum невалиден",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/BadRequestException"
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "description": "Клиент не найдет",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/NotFoundException"
          }
        }
      }
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение информации о клиенте (комплаенс статус)",
  "tags": [
    "API - Client"
  ]
}

GET /v1/client/{cnum}/fund-account/{fundAccountNumber} — Получение информации о лицевом счете

Получение информации о состоянии лицевого счета.

{
  "description": "Получение информации о состоянии лицевого счета.",
  "operationId": "getFundAccountInfo",
  "parameters": [
    {
      "name": "fundAccountNumber",
      "required": true,
      "in": "path",
      "schema": {
        "example": "RC4BLP2027",
        "type": "string"
      }
    },
    {
      "name": "cnum",
      "required": true,
      "in": "path",
      "schema": {
        "example": "ANA4BM",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "Информация о лицевом счете",
      "content": {
        "application/json": {
          "schema": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/FundAccountResponse"
            }
          }
        }
      }
    },
    "400": {
      "description": "Невалидные данные",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/BadRequestException"
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "description": "Лицевой счет у клиента не существует",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/NotFoundException"
          }
        }
      }
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение информации о лицевом счете",
  "tags": [
    "API - Client"
  ]
}

GET /v1/fund/{fundId} — Получение информации о фонде

Получение информации о стоимости пая фонда.

{
  "description": "Получение информации о стоимости пая фонда.",
  "operationId": "getFundInfo",
  "parameters": [
    {
      "name": "fundId",
      "description": "ID фонда",
      "required": true,
      "in": "path",
      "schema": {
        "example": "a4baea02-7af9-11db-a626-0040ca6957f7",
        "type": "string"
      }
    },
    {
      "name": "date",
      "required": false,
      "in": "query",
      "description": "Дата запроса (YYYY-MM-DD). Если не передана, вернется последняя рассчитанная стоимость пая",
      "schema": {
        "example": "2026-03-31",
        "format": "date",
        "type": "string"
      }
    },
    {
      "$ref": "#/components/parameters/IdTokenHeader"
    },
    {
      "$ref": "#/components/parameters/AuthorizationHeader"
    }
  ],
  "responses": {
    "200": {
      "description": "Информация о фонде",
      "content": {
        "application/json": {
          "schema": {
            "items": {
              "$ref": "#/components/schemas/FundInfoDto"
            }
          }
        }
      }
    },
    "400": {
      "description": "Невалидные данные",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/BadRequestException"
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "description": "Фонд не существует",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/NotFoundException"
          }
        }
      }
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  },
  "summary": "Получение информации о фонде",
  "tags": [
    "API - Fund"
  ]
}

Схемы и примеры

{
  "schemas": {
    "ClientInfoResponse": {
      "type": "object",
      "properties": {
        "cnum": {
          "type": "string",
          "example": "ANA4BM",
          "description": "CNUM клиента"
        },
        "complianceStatus": {
          "type": "string",
          "enum": [
            "REJECTED",
            "SUCCESS"
          ],
          "example": "SUCCESS",
          "description": "Комплаенс статус клиента"
        }
      },
      "required": [
        "cnum",
        "complianceStatus"
      ]
    },
    "FundInfoDto": {
      "type": "object",
      "properties": {
        "costShare": {
          "type": "number",
          "example": 17800.34,
          "description": "Стоимость пая, Руб."
        },
        "costDate": {
          "type": "string",
          "description": "Дата рассчета стоимости пая (YYYY-MM-DD)",
          "example": "2026-02-09",
          "format": "date"
        }
      },
      "required": [
        "costShare",
        "costDate"
      ]
    },
    "FundAccountResponse": {
      "type": "object",
      "properties": {
        "accountNumber": {
          "type": "string",
          "example": "RC4BLP2027",
          "description": "Лицевой счет клиента"
        },
        "executionDate": {
          "type": "string",
          "description": "Дата открытия счета (YYYY-MM-DD)",
          "example": "2026-02-09",
          "format": "date"
        },
        "numberOfShares": {
          "type": "number",
          "example": 123,
          "description": "Количество паев"
        },
        "firstIssuanceDate": {
          "type": "string",
          "description": "Дата первого начисления паев (YYYY-MM-DD)",
          "example": "2026-02-09",
          "format": "date"
        },
        "isActive": {
          "type": "boolean",
          "example": true,
          "description": "Состояние Лицевого счета"
        }
      },
      "required": [
        "accountNumber",
        "executionDate",
        "numberOfShares",
        "isActive"
      ]
    },
    "BadRequestException": {
      "type": "object"
    },
    "NotFoundException": {
      "type": "object"
    }
  },
  "responses": {
    "Unauthorized": {
      "description": "Аутентификация не пройдена"
    },
    "InternalError": {
      "description": "Внутренняя ошибка"
    }
  },
  "parameters": {
    "IdTokenHeader": {
      "name": "Id-Token",
      "in": "header",
      "description": "Идентификационный токен пользователя",
      "required": true,
      "schema": {
        "type": "string",
        "format": "byte",
        "example": "SUQgVE9LRU4gRk9SIFRFU1RJTkc="
      }
    },
    "AuthorizationHeader": {
      "name": "Authorization",
      "in": "header",
      "description": "Токен доступа",
      "required": true,
      "schema": {
        "type": "string",
        "format": "byte",
        "example": "Bearer QXV0aG9yaXphdGlvbiBIZWFkZXIgRm9yIFRlc3Rpbmc="
      }
    }
  }
}
Page not found
Back to home
Raiffeisen Bank logosupport_openapi@raiffeisen.ru
1C:DirectBank & Smartegra IntegrationRaif Pay API
Bank of Russia LicensePersonal Data PolicyConsent to Data Processing

This website uses cookies to personalize services and improve your experience. To opt out, adjust your browser settings. © 2003 – 2026 Raiffeisenbank JSC